Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class BaseBean

    java.lang.Object
      |
      +--com.beasys.portal.ejb.BaseBean

Direct Known Subclasses:
  CategoryBean, ColumnInformationBean, GroupHierarchyBean, PortalGroupHierarchyBean, PortalHierarchyBean, PortalPersonalizationBean, PortalSignOnBean, SimpleStringEntityBean, UserHierarchyBean, UserPersonalizationBean

public abstract class BaseBean
extends java.lang.Object
implements javax.ejb.EntityBean, PortalConstants

Base Entity Bean class so that we default implementations of entity bean required methods.

See Also:
  Serialized Form

Field Summary
`javax.ejb.EntityContext` | `ctx` EJB spec variable.
`boolean` | `isModified` WebLogic specific performance enhancement.

Fields inherited from interface com.beasys.portal.ejb.PortalConstants
`ALGORITHM, COLUMN_INFORMATION, DEFAULT_CATEGORY_NAME, GROUP_HIERARCHY, GROUP_PERSONALIZATION, MAX_QUERIED_USERS, NAME_MAX, PORTAL_COLUMN_MAX, PORTAL_DEFINITION, PORTAL_GROUP_HIERARCHY, PORTAL_HIERARCHY, PORTAL_MANAGER, PORTAL_PERSONALIZATION, PORTAL_PROPERTIES, PORTAL_SIGN_ON, PORTAL_USER_PROFILE, PORTLET_DEFINITION, SEPARATOR, URL_MAX, USER_HIERARCHY, USER_PERSONALIZATION`

Fields inherited from interface com.beasys.util.ToolkitConstants
`DEFAULT_ID_CACHE, DEFAULT_ID_PROCEDURE, DEFAULT_JDBC_POOL_NAME, DEFAULT_LOGGING_LEVEL, DEFAULT_WEBLOGIC_HOST, DEFAULT_WEBLOGIC_PORT, ID_CACHE, ID_PROCEDURE, JDBC_POOL_NAME, LOG_DEBUG, LOG_ERROR, LOG_FATAL, LOG_INFO, LOG_SECURITY, LOG_WARNING, LOGGING_LEVEL, WEBLOGIC_HOST, WEBLOGIC_PORT`

Constructor Summary
`BaseBean()`

Method Summary
`void` | `ejbActivate()` Required by spec.
`void` | `ejbLoad()` ejbLoad
`void` | `ejbPassivate()` Required by spec.
`void` | `ejbRemove()` Required by spec.
`void` | `ejbStore()` Required by spec.
`boolean` | `isModified()` WebLogic specific performance enhancement.
`void` | `setEntityContext(javax.ejb.EntityContext ec)` Required by spec.
`void` | `unsetEntityContext()` Required by spec.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isModified

    public boolean isModified

  WebLogic specific performance enhancement.

### ctx

    public javax.ejb.EntityContext ctx

  EJB spec variable.

Constructor Detail

### BaseBean

    public BaseBean()

Method Detail

### isModified

    public boolean isModified()

  WebLogic specific performance enhancement.
  Returns:
    `boolean`

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  ejbLoad
  Specified by:
    ejbLoad in interface javax.ejb.EntityBean
  Throws:
    `RemoteException` -

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Required by spec.
  Specified by:
    ejbPassivate in interface javax.ejb.EntityBean
  Throws:
    `RemoteException` -

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException

  Required by spec.
  Specified by:
    ejbRemove in interface javax.ejb.EntityBean
  Throws:
    `RemoteException` -

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  Required by spec.
  Specified by:
    ejbStore in interface javax.ejb.EntityBean
  Throws:
    `RemoteException` -

### setEntityContext

    public void setEntityContext(javax.ejb.EntityContext ec)
                          throws java.rmi.RemoteException

  Required by spec.
  Specified by:
    setEntityContext in interface javax.ejb.EntityBean
  Parameters:
    `ec` - the entity context.
  Throws:
    `RemoteException` -

### unsetEntityContext

    public void unsetEntityContext()
                            throws java.rmi.RemoteException

  Required by spec.
  Specified by:
    unsetEntityContext in interface javax.ejb.EntityBean
  Throws:
    `RemoteException` -

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Required by spec.
  Specified by:
    ejbActivate in interface javax.ejb.EntityBean
  Throws:
    `RemoteException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved